]> git.wincent.com - walrat.git/blob - spec/parslet_merge_spec.rb
Update to RSpec 3.1.0
[walrat.git] / spec / parslet_merge_spec.rb
1 # Copyright 2007-2014 Greg Hurrell. All rights reserved.
2 # Licensed under the terms of the BSD 2-clause license.
3
4 require 'spec_helper'
5
6 describe Walrat::ParsletMerge do
7   it 'should be able to compare for equality' do
8     Walrat::ParsletMerge.new('foo', 'bar').should eql(Walrat::ParsletMerge.new('foo', 'bar'))
9     Walrat::ParsletMerge.new('foo', 'bar').should_not eql(Walrat::ParsletOmission.new('foo')) # wrong class
10   end
11
12   it 'ParsletMerge and ParsletSequence hashs should not match even if created using the same parseable instances' do
13     parseable1 = 'foo'.to_parseable
14     parseable2 = 'bar'.to_parseable
15     p1 = Walrat::ParsletMerge.new(parseable1, parseable2)
16     p2 = Walrat::ParsletSequence.new(parseable1, parseable2)
17     p1.hash.should_not == p2.hash
18     p1.should_not eql(p2)
19   end
20 end